<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Fetch HTML with CORS</title>
</head>
<body>

<script>
// Example AJAX code accesses remote data using XMLHttpRequest
var url = 'http://example.com';
xhr.onreadystatechange = function () {
    if (xhr.readyState === XMLHttpRequest.DONE) {
        if (xhr.status === 200) {
            var response = xhr.responseText;
            // Parse the meta tags from the response
            var parser = new DOMParser();
            var doc = parser.parseFromString(response, 'text/html');
            var metaTags = doc.querySelectorAll('meta');
            
            // Display the meta tags
            metaTags.forEach(function(tag) {
                if(tag.getAttribute('name') == 'og:title') {
                    document.write("<h1>"+tag.getAttribute('content')+"</h1>");
                }
                if(tag.getAttribute('name') == 'og:description') {
                    document.write("<p>"+tag.getAttribute('content')+"</p>");
                }
                if(tag.getAttribute('name') == 'og:image') {
                    document.write("<img src='"+tag.getAttribute('content')+"' />");
                }
            });
        } else {
            console.error('Request failed with status:', xhr.status);
        }
    }
};

xhr.open('GET', url, true);
xhr.send();
</script>

</body>
</html>